## rarcrack 0.2

=== Makefile ===
CC=gcc
PREFIX=/usr
DOCDIR=${PREFIX}/share/doc/rarcrack

all:
	${CC} -pthread rarcrack.c `xml2-config --libs --cflags` -O2 -o rarcrack
clean:
	-rm *.o rarcrack
install:
	install -s rarcrack ${PREFIX}/bin
	-mkdir -p ${DOCDIR}
	chmod 755 ${DOCDIR}
	install -m 644 -t ${DOCDIR} CHANGELOG LICENSE README README.html RELEASE_NOTES
uninstall:
	-rm ${PREFIX}/bin/rarcrack

=== debian/changelog ===
rarcrack (0.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build-Depend on pkg-config.
  * Use pkg-config to find libxml2 (Closes: #949491).
  * Do not strip during 'make install' (Closes: #901217).
    Thanks to Helmut Grohne for the patch.

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Tue, 12 Apr 2022 22:37:25 +1000

rarcrack (0.2-1) unstable; urgency=low

  * Initial release (Closes: #719682)

 -- Pierre Rudloff <contact@rudloff.pro>  Wed, 14 Aug 2013 10:35:47 +0200

=== debian/control ===
Source: rarcrack
Section: utils
Priority: extra
Maintainer: Pierre Rudloff <contact@rudloff.pro>
Build-Depends: debhelper (>= 9), libxml2-dev, pkg-config
Standards-Version: 3.9.5
Homepage: http://rarcrack.sourceforge.net/

Package: rarcrack
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Password cracker for rar archives
 This program uses a brute force algorithm to guess your encrypted compressed
 file's password.
 .
 This program can crack zip,7z and rar file passwords.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- 'INSTALL=install --strip-program=true'

=== debian/watch ===
version=3
http://sf.net/rarcrack/rarcrack-(.+)\.tar\.bz2

## rarcrack 0.2%2B20240214~413ea3a

=== Makefile ===
CC=gcc
PREFIX=/usr
DOCDIR=${PREFIX}/share/doc/rarcrack

all:
	${CC} -pthread rarcrack.c `xml2-config --libs --cflags` -O3 -o rarcrack

debug:
	${CC} -Wextra -Werror -pthread rarcrack.c `xml2-config --libs --cflags` -O3 -o rarcrack

clean:
	-rm -rf *.o *.xml rarcrack

install:
	install -s rarcrack ${PREFIX}/bin
	-mkdir -p ${DOCDIR}
	chmod 755 ${DOCDIR}
	install -m 644 -t ${DOCDIR} CHANGELOG LICENSE README README.html RELEASE_NOTES

uninstall:
	-rm -rf ${PREFIX}/bin/rarcrack

## rarcrack 0.2+20240214~413ea3a

=== debian/changelog ===
rarcrack (0.2+20240214~413ea3a-1) unstable; urgency=medium

  * Team upload.

  [ наб ]
  * d/watch: retarget at https://github.com/jaredsburrows/rarcrack
  * New upstream version 0.2+20240214~413ea3a (Closes: #1004912, #1009364)
    + Rebase patches
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Replace transitional package pkg-config by pkgconf in Build-Depends
    (routine-update)
  * Secure URI in copyright format (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * d/docs: ship README.md, maintained by new upstream
  * d/rules: drop duplicate "INSTALL=install --strip-program=true"
  * Need -D_GNU_SOURCE for strcasecmp(). Need -g
  * Fix d/p/Makefile.diff to forward CFLAGS too
  * d/control: fix description formatting
  * d/p/:
     6 Remove mostly-unchecked fixed-sized buffers
     7 Don't popen() with filename for type autodetection
     8 Make static const data static const
       Don't free before exit
     9 Pass password and filename as exec() arguments, not as popen() strings
    10 nextpass() doesn't need to allocate
    11 Fix non-void function does not return a value [-Wreturn-type]
    12 Don't limit thread count to 12
       Don't needlessly use thread for status reporting
       The default is 1 thread, not 2
    Closes: #916734
    Forwarded as https://github.com/jaredsburrows/rarcrack/pull/29
  * Maintainer: Package Salvaging Team <team+salvage@tracker.debian.org>
    Closes: #1088258
  * Vcs-Git: https://salsa.debian.org/salvage-team/rarcrack.git

  [ Andreas Tille ]
  * Reorder sequence of d/control fields by cme (routine-update)

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Mon, 25 Nov 2024 20:01:59 +0100

=== debian/control ===
Source: rarcrack
Maintainer: Package Salvaging Team <team+salvage@tracker.debian.org>
Section: utils
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libxml2-dev,
               pkgconf
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/salvage-team/rarcrack
Vcs-Git: https://salsa.debian.org/salvage-team/rarcrack.git
Homepage: http://rarcrack.sourceforge.net/
Rules-Requires-Root: no

Package: rarcrack
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Password cracker for rar archives
 This program uses a brute force algorithm to guess your encrypted compressed
 file's password.
 .
 This program can crack zip, 7z, and rar file passwords.

=== debian/watch ===
# Commit 6b3fceff018e00592d0fa0dafc0c425c4dbbda50 is equivalent to
# https://rarcrack.sourceforge.net 0.2
version=4
opts="mode=git,pretty=0.2+%cd~%h,pgpmode=none" \
https://github.com/jaredsburrows/rarcrack HEAD
